%define name	vacuum
%define version 0.13a
%define release %mkrel 1

Name:			%{name}
Version:        	%{version}
Release:	        %{release}
Summary:		Vacuum Magic is a fast-paced action game
Summary(de):		Vaccum Magic ist ein flottes Aktionspiel
License:		GPL
URL:			http://apocalypse.rulez.org/vacuum
Group:			Games/Arcade
Source0:		%{name}-%{version}.tar.xz
Source1:		%{name}.png
#Source90:		%{name}-rpmlintrc
BuildRequires:		perl-Compress-Raw-Zlib
BuildRequires:		perl-SDL
Requires:		common-licenses
Requires:		perl-base >= %{perl_version}
Requires:		perl-SDL
Requires:		perl-Compress-Raw-Zlib
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Vacuum Magic is a fast-paced action game.

The point of the game is using your magical vacuum field to
collect food and defend against monsters. Food and certain
monsters can also be spat out and used as a projectile
against other monsters. Vacuum Magic can be played by up to
six players, either cooperatively or against each other.

%description -l de
Vaccum Magic ist ein flottes Aktionspiel

Im Spiel geht es darum, Essen mit deinem magischen Vakuumfeld zu sammeln
und dich gegen Monster zu verteidigen. Essen und bestimmte Monster können
ausgespuckt werden und so als Projektil gegen andere Monster dienen.
Vacuum Magic mit bis zu sechs Spielern gespielt werden, gegeneinander oder
aber auch zusammen.

%prep
%setup -q -n %{name}-0.13

%build
%configure
%__make

%install
%__rm -fr %{buildroot}

%makeinstall

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

%__install  -m 644 data/icon.png -D %{buildroot}%{_iconsdir}/%{name}.png

# Desktop (and menu file)
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Comment=Vacuum Magic is a fast-paced action game
Comment[de]=Vaccum Magic ist ein flottes Aktionspiel
Encoding=UTF-8
Name=Vacuum Magic
Type=Application
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

%clean
%__rm -rf %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README NEWS TODO
%doc %{_mandir}/man6/%{name}.6.bz2
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/%{name}.png

%changelog
* Thu Feb 23 2012 Neal <nealbrks0 at gmail dot com> 0.13a-1pclos2012
- process

* Thu Feb 23 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.13a-1pclos2012
- 0.13a
- added german summary, description and comment
- deleted english comment in desktop file section which appeared two times
- renamed spec file to pclos-vacuum.spec
- added xz compression
- changed perl-Compress-Zlib to perl-Compress-Raw-Zlib

* Sun May 4 2009 MBantz <martin.bantz at gmail dot com> 0.11
- Rebuilt for pclinuxos from Toni Graffy
